<?
 /*SCRIPT PARA MANTENIMIENTO DE SECCIONES DE GRADOS ESCOLARES */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

  if(!$tipo_trn){
    alert("Parámetros incorrectos1","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
    $id_grado=dec($idgrado);
    if(!$txtseccion){alert("Ingrese un nombre de la sección","javascript:history.go(-1)");}
    
    $qver=mysql_query("select * from seccion_grados where seccion = '$txtseccion' and grado = $id_grado");
    if(mysql_num_rows($qver)>0){
      $iver=mysql_fetch_array($qver);
      alert("El nombre de la sección que ingresó ya existe","javascript:history.go(-1)");
    }

                $sql="insert into
                      secciones_grados
                      set 
                      grado='$id_grado',
                      seccion='$txtseccion',
                      guia='$txtguia'";

                 $ins=mysql_query($sql);
                 if($ins){
                  //alert("Unidad $txtunidad \\nagregada con éxito","frm_grado_v2.php?idgrado=$idg");
                  header("Location: ./frm_grado_secciones_v2.php?idgrado=$idgrado");
                 }else{
                  echo "ERROR: ".mysql_error();
                 }
   break;

   case "Upd":
    $idseccion=base64_decode($idse);
    $qver=mysql_query("select * from secciones_grados where id = '$idseccion'");
    if(mysql_num_rows($qver)==0){
      $iver=mysql_fetch_array($qver);
      alert("ERROR: La sección no existe","javascript:history.go(-1)");
    }
                
                $sql="update
                      secciones_grados
                      set seccion='$txtseccion',
                      guia='$txtguia'
                      where id=$idseccion";

                 $upd=mysql_query($sql);
                 if($upd){
                   //alert("Unidad $txtunidad \\nactualizada con éxito","frm_grado_v2.php?idgrado=$idg");
                   $idg=base64_decode($idg);
                   header("Location: ./frm_grado_secciones_v2.php?idgrado=$idgrado");
                 }else{
                   echo "ERROR: ".mysql_error();
                 }
   break;
   
   case "Delete":
   
   if($confirm=="OK"){
    $id_grado=dec($idgrado);
    $idseccion=base64_decode($idse);
    
    $qseccion=mysql_query("select * from secciones_grados where id = '$idseccion'");
    $iseccion=mysql_fetch_array($qseccion);
    
    $qver=mysql_query("select count(*) as cantidad from alumnos where year_estudio > 0 and grado_estudio = '$id_grado' and seccion = '{$iseccion[seccion]}'");
    $iver=mysql_fetch_array($qver);
    if($iver[cantidad]>0){
      alert("NO SE PUEDE BORRAR LA SECCIÓN PORQUE HAY  {$iver[cantidad]}  ALUMNOS ASOCIADOS\\n\\nPara eliminarla, primero cambie a todos los alumnos de la seccion {$iseccion[seccion]}\\na otra sección.","./frm_grado_secciones_v2.php?idgrado=$idgrado");
    }
    $del=mysql_query("delete from secciones_grados where id = '$idseccion'");
    header("Location: ./frm_grado_secciones_v2.php?idgrado=$idgrado");
   }else{
    header("Location: ./frm_grado_secciones_v2.php?idgrado=$idgrado");
   }
   break;


   case "Status":
                 $id_se=dec($idse);
                 $sql="update secciones_grados
                       set estado = '$new_status'
                       where id = $id_se";
                 $res=mysql_query($sql);
                 header("Location: ./frm_grado_secciones_v2.php?idgrado=$idgrado");
   break;
   
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
?>
